#ifndef HW_LIB_SIM_THREAD_H
#define HW_LIB_SIM_THREAD_H
#ifdef __cplusplus
extern "C" {
#endif

#include "SDL3/SDL.h"

typedef int (*Thread_Func_t)(void *pArg);

SDL_Thread *ThreadCreat(Thread_Func_t func, char *name, void *pArg);

void ThreadStop(SDL_Thread *t);
#ifdef __cplusplus
}
#endif
#endif //HW_LIB_SIM_THREAD_H
